> ## Documentation Index
> Fetch the complete documentation index at: https://docs.warmyourx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Message Reaction



## OpenAPI

````yaml https://api.warmyourx.com/openapi.json post /v1/messages/react
openapi: 3.1.0
info:
  title: Automatex API
  version: 0.1.0
servers:
  - url: https://api.warmyourx.com
    description: Production
security: []
paths:
  /v1/messages/react:
    post:
      tags:
        - messages
      summary: Send Message Reaction
      operationId: send_reaction_v1_messages_react_post
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/Body_send_reaction_v1_messages_react_post'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
                title: Response Send Reaction V1 Messages React Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    Body_send_reaction_v1_messages_react_post:
      properties:
        reaction_emoji:
          type: string
          title: Reaction Emoji
        message_id:
          type: string
          title: Message Id
        conversation_id:
          type: string
          title: Conversation Id
        cookies:
          type: string
          title: Cookies
          description: Raw Cookie header value.
        proxy:
          anyOf:
            - type: string
            - type: 'null'
          title: Proxy
          description: >-
            Optional per-request proxy URL (overrides X_DEFAULT_PROXY from the
            environment when set). Example: http://user:pass@host:port
      type: object
      required:
        - reaction_emoji
        - message_id
        - conversation_id
        - cookies
      title: Body_send_reaction_v1_messages_react_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````